Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.taglib
Class InsertDefinitionTag

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          org.apache.tiles.jsp.taglib.InsertDefinitionTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

    public class InsertDefinitionTag

extends javax.servlet.jsp.tagext.SimpleTagSupport

This is the tag handler for <tiles:insertDefinition>, which includes a name, eventually overriding or filling attributes of its template.

Version:
  $Rev: 929598 $ $Date: 2010-03-31 17:53:02 +0200 (mer, 31 mar 2010) $

Constructor Summary
`InsertDefinitionTag()`

Method Summary
`void` | `doTag()`
`java.lang.String` | `getName()` Returns the name of the definition to insert.
`java.lang.String` | `getPreparer()` Returns the preparer name.
`java.lang.String` | `getRole()` Returns the role to check.
`java.lang.String` | `getTemplate()` Returns a string representing the URI of a template (for example, a JSP page).
`java.lang.String` | `getTemplateExpression()` Returns the expression to evaluate to get the value of the template.
`java.lang.String` | `getTemplateType()` Returns the type of the template attribute.
`boolean` | `isFlush()` Returns the flush flag.
`boolean` | `isIgnore()` Returns the ignore flag.
`void` | `setFlush(boolean flush)` Sets the flush flag.
`void` | `setIgnore(boolean ignore)` Sets the ignore flag.
`void` | `setName(java.lang.String name)` Sets the name of the definition to insert.
`void` | `setPreparer(java.lang.String preparer)` Sets the preparer name.
`void` | `setRole(java.lang.String role)` Sets the role to check.
`void` | `setTemplate(java.lang.String template)` Sets a string representing the URI of a template (for example, a JSP page).
`void` | `setTemplateExpression(java.lang.String templateExpression)` Sets the expression to evaluate to get the value of the template.
`void` | `setTemplateType(java.lang.String templateType)` Sets the type of the template attribute.

Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
`findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertDefinitionTag

    public InsertDefinitionTag()

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the definition to insert.

  Returns:
    The name of the definition.

### setName

    public void setName(java.lang.String name)

  Sets the name of the definition to insert.

  Parameters:
    `name` - The name of the definition.

### getRole

    public java.lang.String getRole()

  Returns the role to check. If the user is in the specified role, the tag is taken into account; otherwise, the tag is ignored (skipped).

  Returns:
    The role to check.
  Since:
    2.1.1

### setRole

    public void setRole(java.lang.String role)

  Sets the role to check. If the user is in the specified role, the tag is taken into account; otherwise, the tag is ignored (skipped).

  Parameters:
    `role` - The role to check.
  Since:
    2.1.1

### getPreparer

    public java.lang.String getPreparer()

  Returns the preparer name.

  Returns:
    The preparer name.
  Since:
    2.1.1

### setPreparer

    public void setPreparer(java.lang.String preparer)

  Sets the preparer name.

  Parameters:
    `preparer` - The preparer name.
  Since:
    2.1.1

### isFlush

    public boolean isFlush()

  Returns the flush flag. If `true`, current page out stream is flushed after insertion.

  Returns:
    The flush flag.
  Since:
    2.1.1

### setFlush

    public void setFlush(boolean flush)

  Sets the flush flag. If `true`, current page out stream is flushed after insertion.

  Parameters:
    `flush` - The flush flag.
  Since:
    2.1.1

### isIgnore

    public boolean isIgnore()

  Returns the ignore flag. If it is set to true, and the attribute specified by the name does not exist, simply return without writing anything. The default value is false, which will cause a runtime exception to be thrown.

  Returns:
    The ignore flag.
  Since:
    2.1.1

### setIgnore

    public void setIgnore(boolean ignore)

  Sets the ignore flag. If this attribute is set to true, and the attribute specified by the name does not exist, simply return without writing anything. The default value is false, which will cause a runtime exception to be thrown.

  Parameters:
    `ignore` - The ignore flag.
  Since:
    2.1.1

### getTemplate

    public java.lang.String getTemplate()

  Returns a string representing the URI of a template (for example, a JSP page).

  Returns:
    The template URI.
  Since:
    2.1.0

### setTemplate

    public void setTemplate(java.lang.String template)

  Sets a string representing the URI of a template (for example, a JSP page).

  Parameters:
    `template` - The template URI.
  Since:
    2.1.0

### getTemplateType

    public java.lang.String getTemplateType()

  Returns the type of the template attribute.

  Returns:
    The template type.
  Since:
    2.2.0

### setTemplateType

    public void setTemplateType(java.lang.String templateType)

  Sets the type of the template attribute.

  Parameters:
    `templateType` - The template type.
  Since:
    2.2.0

### getTemplateExpression

    public java.lang.String getTemplateExpression()

  Returns the expression to evaluate to get the value of the template.

  Returns:
    The template expression.
  Since:
    2.2.0

### setTemplateExpression

    public void setTemplateExpression(java.lang.String templateExpression)

  Sets the expression to evaluate to get the value of the template.

  Parameters:
    `templateExpression` - The template expression.
  Since:
    2.2.0

### doTag

    public void doTag()
               throws javax.servlet.jsp.JspException,
                      java.io.IOException

  Specified by:
    `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
  Overrides:
    `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.